Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:        Entrance configuration editing tool
Name:           entrance_edit_gui
Version:        20071209
Release:        1
License:        BSD
URL:            http://www.enlightenment.org
Group:          Graphical Desktop/Enlightenment17
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  libX11-devel libXcursor-devel libXdamage-devel libXext-devel
BuildRequires:  libXfixes-devel libXinerama-devel libXp-devel libXrandr-devel
BuildRequires:  DirectFB-devel ecore-devel evas-devel edje-devel eet-devel
BuildRequires:  embryo-devel expat-devel fontconfig-devel freetype-devel
BuildRequires:  SDL-devel sysfsutils-devel libidn-devel openldap-devel
BuildRequires:  libjpeg-devel openldap-devel cyrus-sasl-devel zlib-devel
BuildRequires:  openssl-devel entrance-devel etk-devel

%description
Entrance configuration editing tool
Entrance is a login manager similar to gdm or kdm, it is based on the
Enlightenment Foundation Libraries.  It is fully themeable via Edje.

This package provides a tool for editing the configuration data
of the Enlightened login manager.


%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %name

%build
./autogen.sh
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr (-, root, root)
%_bindir/entrance_edit_gui
%_libdir/*.so.*
%_datadir/applications/entrance_edit_gui.desktop
%_datadir/entrance_edit_gui/icons/icons.edj
%_datadir/icons/entrance_edit_gui.png

%files devel
%defattr (-, root, root)
%_includedir/*
%_libdir/*.so
%_libdir/*.*a

%clean
rm -rf %{buildroot}

%changelog
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 20071209-1
- Version Update
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071104-1
- Version Update
* Fri Nov 02 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071102-1
- Initial release

